## wildfly:help

Full name:

org.wildfly.plugins:wildfly-maven-plugin:5.0.0.Beta4:help

Description:

Display help information on wildfly-maven-plugin.
Call `mvn wildfly:help -Ddetail=true -Dgoal=<goal-name>` to display parameter details.

Attributes:

- The goal is thread-safe and supports parallel builds.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
`<detail>` | `boolean` | `-` | If `true`, display all settable properties for each goal. Default: `false` User Property: `detail`
`<goal>` | `String` | `-` | The name of the goal for which to show help. If unspecified, all goals will be displayed. User Property: `goal`
`<indentSize>` | `int` | `-` | The number of spaces per indentation level, should be positive. Default: `2` User Property: `indentSize`
`<lineLength>` | `int` | `-` | The maximum length of a display line, should be positive. Default: `80` User Property: `lineLength`

### Parameter Details

#### <detail>

If `true`, display all settable properties for each goal.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `detail`
- Default: `false`

#### <goal>

The name of the goal for which to show help. If unspecified, all goals will be displayed.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `goal`

#### <indentSize>

The number of spaces per indentation level, should be positive.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `indentSize`
- Default: `2`

#### <lineLength>

The maximum length of a display line, should be positive.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `lineLength`
- Default: `80`